# Uses of Class
org.apache.lucene.store.ByteBuffersDataOutput

Packages that use ByteBuffersDataOutput
Package
Description
org.apache.lucene.store
Binary i/o API, used for all index data.

- ## Uses of ByteBuffersDataOutput in org.apache.lucene.store

  Fields in org.apache.lucene.store with type parameters of type ByteBuffersDataOutput
  Modifier and Type
  Field
  Description
  `static final BiFunction<String,ByteBuffersDataOutput,IndexInput>`
  ByteBuffersDirectory.`OUTPUT_AS_BYTE_ARRAY`
  `static final BiFunction<String,ByteBuffersDataOutput,IndexInput>`
  ByteBuffersDirectory.`OUTPUT_AS_MANY_BUFFERS`
  `static final BiFunction<String,ByteBuffersDataOutput,IndexInput>`
  ByteBuffersDirectory.`OUTPUT_AS_ONE_BUFFER`
  Methods in org.apache.lucene.store that return ByteBuffersDataOutput
  Modifier and Type
  Method
  Description
  `static ByteBuffersDataOutput`
  ByteBuffersDataOutput.`newResettableInstance()`
  Constructors in org.apache.lucene.store with parameters of type ByteBuffersDataOutput
  Modifier
  Constructor
  Description
  ``
  `ByteBuffersIndexOutput(ByteBuffersDataOutput delegate, String resourceDescription, String name)`
  ``
  `ByteBuffersIndexOutput(ByteBuffersDataOutput delegate, String resourceDescription, String name, Checksum checksum, Consumer<ByteBuffersDataOutput> onClose)`
  Constructor parameters in org.apache.lucene.store with type arguments of type ByteBuffersDataOutput
  Modifier
  Constructor
  Description
  ``
  `ByteBuffersDirectory(LockFactory factory, Supplier<ByteBuffersDataOutput> bbOutputSupplier, BiFunction<String,ByteBuffersDataOutput,IndexInput> outputToInput)`
  ``
  `ByteBuffersDirectory(LockFactory factory, Supplier<ByteBuffersDataOutput> bbOutputSupplier, BiFunction<String,ByteBuffersDataOutput,IndexInput> outputToInput)`
  ``
  `ByteBuffersIndexOutput(ByteBuffersDataOutput delegate, String resourceDescription, String name, Checksum checksum, Consumer<ByteBuffersDataOutput> onClose)`